in scala.xml.pull.XMLEventReader
class Parser

`class` Parser
  `extends` scala.xml.parsing.MarkupHandler
  `with` scala.xml.parsing.MarkupParser
  `with` scala.xml.parsing.ExternalSources
  `with` java.lang.Runnable
  `with` scala.ScalaObject

Constructor Summary
| `def` this

Def Summary
| `def` comment ( pos : scala.Int , txt : java.lang.String ) : scala.xml.NodeSeq{def theSeq: scala.Nil.type}
`final` | `def` elem ( pos : scala.Int , pre : java.lang.String , label : java.lang.String , attrs : scala.xml.MetaData , pscope : scala.xml.NamespaceBinding , nodes : scala.xml.NodeSeq ) : scala.xml.NodeSeq
`override` | `def` elemEnd ( pos : scala.Int , pre : java.lang.String , label : java.lang.String ) : scala.Unit
`override` | `def` elemStart ( pos : scala.Int , pre : java.lang.String , label : java.lang.String , attrs : scala.xml.MetaData , scope : scala.xml.NamespaceBinding ) : scala.Unit
| `def` entityRef ( pos : scala.Int , n : java.lang.String ) : scala.xml.NodeSeq{def theSeq: scala.Nil.type}
| `def` procInstr ( pos : scala.Int , target : java.lang.String , txt : java.lang.String ) : scala.xml.NodeSeq{def theSeq: scala.Nil.type}
`override` | `def` run : scala.Unit
| `def` text ( pos : scala.Int , txt : java.lang.String ) : scala.xml.NodeSeq{def theSeq: scala.Nil.type}

Constructor Detail

`def` this

Def Detail

`def` comment ( pos : scala.Int , txt : java.lang.String ) : scala.xml.NodeSeq{def theSeq: scala.Nil.type}

final `def` elem ( pos : scala.Int , pre : java.lang.String , label : java.lang.String , attrs : scala.xml.MetaData , pscope : scala.xml.NamespaceBinding , nodes : scala.xml.NodeSeq ) : scala.xml.NodeSeq

override `def` elemEnd ( pos : scala.Int , pre : java.lang.String , label : java.lang.String ) : scala.Unit

override `def` elemStart ( pos : scala.Int , pre : java.lang.String , label : java.lang.String , attrs : scala.xml.MetaData , scope : scala.xml.NamespaceBinding ) : scala.Unit

`def` entityRef ( pos : scala.Int , n : java.lang.String ) : scala.xml.NodeSeq{def theSeq: scala.Nil.type}

`def` procInstr ( pos : scala.Int , target : java.lang.String , txt : java.lang.String ) : scala.xml.NodeSeq{def theSeq: scala.Nil.type}

override `def` run : scala.Unit

`def` text ( pos : scala.Int , txt : java.lang.String ) : scala.xml.NodeSeq{def theSeq: scala.Nil.type}